# @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Vietnam
# @source http://www.moj.gov.vn/vbpq/Lists/Vn%20bn%20php%20lut/View_Detail.aspx?ItemID=27800 Article 115 Labour Code
holidays:
  VN:
    names:
      vi: Cộng hòa Xã hội chủ nghĩa Việt Nam
      en: Vietnam
    dayoff:
    langs:
      - vi
    zones:
      - Asia/Ho_Chi_Minh
      - Asia/Bangkok
    days:
      01-01:
        _name: 01-01
      vietnamese 1-0-1:
        name:
          en: Vietnamese New Year
          vi: Tết Nguyên Đán
      1 day before vietnamese 1-0-1 P5D:
        name:
          en: Vietnamese New Year Holidays
          vi: Giao thừa Tết Nguyên Đán
      vietnamese 3-0-10:
        name:
          en: Hung Kings Commemorations
          vi: Giỗ tổ Hùng Vương
      04-30:
        name:
          en: Day of liberating the South for national reunification
          vi: Ngày Giải phóng miền Nam
      05-01:
        _name: 05-01
      09-02:
        name:
          en: National Day
          vi: Quốc khánh
      02-03:
        name:
          en: Communist Party of Viet Nam Foundation Anniversary
          vi: Ngày thành lập Đảng
        type: observance
      03-08:
        _name: 03-08
        type: observance
      04-21:
        name:
          en: Vietnam Book Day
          vi: Ngày Sách Việt Nam
        type: observance
      05-07:
        name:
          en: Dien Bien Phu Victory Day
          vi: Ngày Chiến thắng Điện Biện Phủ
        type: observance
      05-19:
        name:
          en: President Ho Chi Minh's Birthday
          vi: Ngày sinh Chủ tịch Hồ Chí Minh
        type: observance
      06-01:
        name:
          en: International Children's Day
          vi: Ngày quốc tế Thiếu nhi
        type: observance
      06-28:
        name:
          en: Vietnamese Family Day
          vi: Ngày Gia đình Việt Nam
        type: observance
      07-27:
        name:
          en: Remembrance Day
          vi: Ngày Thương Binh Liệt Sĩ
        type: observance
      08-19:
        name:
          en: August Revolution Commemoration Day
          vi: Ngày cách mạng Tháng Tám
        type: observance
      10-10:
        name:
          en: Capital Liberation Day
          vi: Ngày giải phóng Thủ Đô
        type: observance
      10-20:
        name:
          en: Vietnamese Women's Day
          vi: Ngày Phụ nữ Việt Nam
        type: observance
      11-20:
        name:
          en: Vietnamese Teacher's Day
          vi: Ngày Nhà giáo Việt Nam
        type: observance
      12-22:
        name:
          en: National Defence Day
          vi: Ngày hội Quốc phòng Toàn dân
        type: observance
      vietnamese 1-0-5:
        name:
          en: Victory of Ngọc Hồi-Đống Đa
          vi: Chiến thắng Ngọc Hồi - Đống Đa
        type: observance
      vietnamese 1-0-15:
        name:
          en: Lantern Festival
          vi: Tết Nguyên Tiêu
        type: observance
      vietnamese 4-0-15:
        name:
          en: Buddha's Birthday
          vi: Lễ Phật đản
        type: observance
      vietnamese 5-0-5:
        name:
          en: Mid-year Festival
          vi: Tết Đoan ngọ
        type: observance
      vietnamese 7-0-15:
        name:
          en: Ghost Festival
          vi: Rằm Tháng Bảy, Vu Lan
        type: observance
      vietnamese 8-0-15:
        name:
          en: Mid-Autumn Festival
          vi: Tết Trung thu
        type: observance
      vietnamese 12-0-23:
        name:
          en: Kitchen guardians
          vi: Ông Táo chầu trời
        type: observance
    # regions:
    #   01:
    #     name: Lai Châu
    #   02:
    #     name: Lào Cai
    #   03:
    #     name: Hà Giang
    #   04:
    #     name: Cao Bằng
    #   05:
    #     name: Sơn La
    #   06:
    #     name: Yên Bái
    #   07:
    #     name: Tuyên Quang
    #   09:
    #     name: Lạng Sơn
    #   13:
    #     name: Quảng Ninh
    #   14:
    #     name: Hòa Bình
    #   18:
    #     name: Ninh Bình
    #   20:
    #     name: Thái Bình
    #   21:
    #     name: Thanh Hóa
    #   22:
    #     name: Nghệ An
    #   23:
    #     name: Hà Tĩnh
    #   24:
    #     name: Quảng Bình
    #   25:
    #     name: Quảng Trị
    #   26:
    #     name: Thừa Thiên–Huế
    #   27:
    #     name: Quảng Nam
    #   28:
    #     name: Kon Tum
    #   29:
    #     name: Quảng Ngãi
    #   30:
    #     name: Gia Lai
    #   31:
    #     name: Bình Định
    #   32:
    #     name: Phú Yên
    #   33:
    #     name: Đắk Lắk
    #   34:
    #     name: Khánh Hòa
    #   35:
    #     name: Lâm Đồng
    #   36:
    #     name: Ninh Thuận
    #   37:
    #     name: Tây Ninh
    #   39:
    #     name: Đồng Nai
    #   40:
    #     name: Bình Thuận
    #   41:
    #     name: Long An
    #   43:
    #     name: Bà Rịa–Vũng Tàu
    #   44:
    #     name: An Giang
    #   45:
    #     name: Đồng Tháp
    #   46:
    #     name: Tiền Giang
    #   47:
    #     name: Kiên Giang
    #   49:
    #     name: Vĩnh Long
    #   50:
    #     name: Bến Tre
    #   51:
    #     name: Trà Vinh
    #   52:
    #     name: Sóc Trăng
    #   53:
    #     name: Bắc Kạn
    #   54:
    #     name: Bắc Giang
    #   55:
    #     name: Bạc Liêu
    #   56:
    #     name: Bắc Ninh
    #   57:
    #     name: Bình Dương
    #   58:
    #     name: Bình Phước
    #   59:
    #     name: Cà Mau
    #   61:
    #     name: Hải Dương
    #   63:
    #     name: Hà Nam
    #   66:
    #     name: Hưng Yên
    #   67:
    #     name: Nam Định
    #   68:
    #     name: Phú Thọ
    #   69:
    #     name: Thái Nguyên
    #   70:
    #     name: Vĩnh Phúc
    #   71:
    #     name: Điện Biên
    #   72:
    #     name: Đắk Nông
    #   73:
    #     name: Hậu Giang
    #   CT:
    #     name: Can Tho
    #   DN:
    #     name: Da Nang
    #   HN:
    #     name: Hanoi
    #   HP:
    #     name: Haiphong
    #   SG:
    #     name: Ho Chi Minh City